.tn-elem .tn-atom__slds-img {
	box-sizing: border-box;
	display: block;
	background-repeat: no-repeat;
	background-position: center;
}

.tn-elem .t-slds {
	overflow: visible;
}

.tn-elem .t-slds__main {
	overflow: hidden;
	max-width: initial;
	/* fix overflow not working with border radius on initial render */
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.t396__artboard_scale .tn-elem > :not(.tn-atom__scale-wrapper) .t-slds__item {
	position: relative;
	z-index: 1;
}

.t396__artboard_scale .tn-elem > :not(.tn-atom__scale-wrapper) .t-slds__item.t-slds__item_active {
	z-index: 2;
}

.tn-elem[data-elem-type='gallery'] .tn-atom {
	border: none !important;
	border-radius: 0 !important;
}
.tn-elem .t-null__slds-wrapper {
	padding: 0;
}

.tn-elem.tn-elem__gallery_arrows-in,
.tn-elem.tn-elem__gallery_arrows-none {
	padding: 0;
}

.tn-elem:not(.tn-elem__gallery_arrows-cursor) .t-slds {
	cursor: auto !important;
}

/* только для редактора Zero Block, потребовалось для работы фичи styles-copying */
.tn-layout .tn-elem:not(.tn-elem__gallery_arrows-cursor) .t-slds {
	cursor: inherit !important;
}

.tn-elem__gallery_arrows-cursor .t-slds__arrow_wrapper {
	cursor: inherit;
}

.tn-elem__gallery_arrows-cursor .t-slds__arrow {
	cursor: pointer;
}

.tn-elem .t-slds__arrow_container {
	position: absolute;
	width: 100%;
	top: 0;
	bottom: auto;
}

.tn-elem .t-slds__arrow_container-left {
	left: 0;
}

.tn-elem .t-slds__arrow_container-center {
	left: 0;
	right: 0;
	margin: 0 auto;
}

.tn-elem .t-slds__arrow_container-right {
	right: 0;
}

.tn-elem.tn-elem__gallery_arrows-under .t-slds__arrow_container {
	bottom: 0;
	top: auto;
}

.tn-elem.tn-elem__gallery_arrows-none .t-slds__arrow_container {
	display: none;
}

.tn-elem__gallery_arrows-in .t-slds__arrow-right {
	left: auto;
	right: 0;
}

.tn-elem__gallery_arrows-in .t-slds__arrow-left {
	right: auto;
	left: 0;
}

.tn-elem .t-slds__arrow_body svg {
	overflow: visible;
}

.t-slds__arrow_body:before {
	content: '';
	box-sizing: border-box;
	border-radius: 100%;
	position: absolute;
	display: block;
	height: 100%;
	width: 100%;
}

.tn-elem.tn-elem__gallery_arrows-in .t-slds__arrow_wrapper-left {
	left: 0;
}

.tn-elem.tn-elem__gallery_arrows-in .t-slds__arrow_wrapper-right {
	right: 0;
}

.tn-elem .t-slds__arrow_wrapper {
	width: 0;
}

.tn-elem.tn-elem__gallery_arrows-above .t-slds__arrow_wrapper,
.tn-elem.tn-elem__gallery_arrows-under .t-slds__arrow_wrapper {
	height: auto !important;
}

.tn-elem.tn-elem__gallery_arrows-under .t-slds__arrow_wrapper .t-slds__arrow {
	bottom: auto;
	top: 0;
	transform: none;
	margin-top: 2px;
}

.tn-elem.tn-elem__gallery_arrows-above .t-slds__arrow_wrapper .t-slds__arrow {
	top: auto;
	bottom: 0;
	transform: none;
	margin-bottom: 2px;
}

.tn-elem.tn-elem__gallery_arrows-above .t-slds__arrow_wrapper .t-slds__arrow-left,
.tn-elem.tn-elem__gallery_arrows-under .t-slds__arrow_wrapper .t-slds__arrow-left {
	left: 0 !important;
	right: auto !important;
}

.tn-elem.tn-elem__gallery_arrows-above .t-slds__arrow_wrapper .t-slds__arrow-right,
.tn-elem.tn-elem__gallery_arrows-under .t-slds__arrow_wrapper .t-slds__arrow-right {
	right: 0 !important;
	left: auto !important;
}

.tn-elem.tn-elem__gallery_arrows-in .t-slds__arrow_wrapper {
	width: 60px;
}

.tn-elem .t-slds__arrow_wrapper-right {
	right: 0;
}

.tn-elem .t-slds__arrow_wrapper-left {
	left: 0;
}

.tn-elem .t-slds__arrow-right {
	right: auto;
	left: 0;
}

.tn-elem .t-slds__arrow-left {
	left: auto;
	right: 0;
}

.tn-elem .t-slds__arrow {
	text-align: center;
}

.tn-elem .t-slds__arrow_body {
	height: 100%;
	display: inline-block;
}

.tn-elem .t-slds__arrow_body svg {
	width: 100%;
	height: 100%;
}

.tn-elem .t-slds__arrow {
	left: 0;
	right: 0;
	margin: 0 auto;
	border-radius: 100%;
}

.tn-elem .t-slds__bullet {
	padding: 10px;
	margin: 0;
	border-radius: 100%;
}

.tn-elem .t-slds__bullet_wrapper {
	letter-spacing: 0;
}

.tn-elem .t-slds__caption_wrapper {
	border: none;
	padding-top: 0;
}

.tn-elem .t-slds__caption {
	position: absolute;
	width: 100%;
}

.tn-elem .t-slds__caption__container {
	margin: 0;
}

.tn-elem .t-slds__arrow_wrapper-left {
	left: 0;
}

.tn-elem .t-slds__arrow_wrapper-right {
	right: 0;
}

.tn-elem__gallery__video-wrapper {
	position: relative;
}

.tn-elem__gallery__video-wrapper:has(.tn-elem__gallery__frame) .tn-atom__slds-img,
.tn-elem__gallery__video-wrapper:has(.tn-elem__gallery__frame) .tn-elem__gallery__play {
	opacity: 0;
}

.tn-elem__gallery__frame {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

.tn-elem__gallery__iframe,
.tn-elem__gallery__video {
	width: 100%;
	height: 100%;
	border: none;
}

.tn-elem__gallery__video {
	object-fit: cover;
}

.tn-elem__gallery__play {
	position: absolute;
	display: block;
	cursor: pointer;
	left: calc(50% - 35px);
	top: calc(50% - 35px);
	width: 70px;
	height: 70px;
	transition: transform 0.15s ease-in-out;
}

.t-slds__container:hover .tn-elem__gallery__play {
	transform: scale(1.2);
}

.tn-elem .t-slds__bullet_wrapper {
	position: absolute;
	width: 100%;
}

.tn-elem .t-slds__caption {
	left: 0;
	right: 0;
	margin: 0 auto;
	top: auto;
}

.tn-elem .t-slds__arrow_wrapper {
	font-size: 14px;
	line-height: 14px;
}

.tn-elem__gallery_arrows-in.tn-elem__with-video .t-slds__arrow_wrapper {
	pointer-events: none;
}

.tn-elem__gallery_arrows-in.tn-elem__with-video .t-slds__arrow_wrapper .t-slds__arrow {
	pointer-events: auto;
}

.tn-artboard .tn-elem .t-slds__bullet_wrapper {
	line-height: initial;
}
